OpenVDB 7.0.0

Public Member Functions | Static Public Member Functions | List of all members
NullFilter Class Reference

A no-op filter that can be used when iterating over all indices. More...

`#include <IndexIterator.h>`

## Public Member Functions
template<typename LeafT >
void | reset (const LeafT &)

## Static Public Member Functions
static bool | initialized ()
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)
template<typename IterT >
static bool | valid (const IterT &)

## Detailed Description

A no-op filter that can be used when iterating over all indices.

See also
  points/IndexFilter.h for the documented interface for an index filter

## Member Function Documentation

## ◆ initialized()

static bool initialized | ( |  | ) |
| inline static

## ◆ reset()

void reset | ( | const LeafT & |  | ) |
| inline

## ◆ state() [1/2]

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

static bool valid | ( | const IterT & |  | ) |
| inline static

The documentation for this class was generated from the following file:

- IndexIterator.h